<?php

namespace xenarabia\MYMMSMSG\XF\ControllerPlugin;

use XF\Mvc\Entity\Entity;
use XF\ControllerPlugin\AbstractPlugin;
use XF\Mvc\Entity\Finder;

class DeleteCat extends AbstractPlugin
{
	public function actionDelete(Entity $entity, $confirmUrl, $contentUrl, $returnUrl, $contentTitle, $template = null, array $params = [])
	{
		if (!$entity->preDelete()) {
			return $this->error($entity->getErrors());
		}


		if ($this->isPost()) {

			$getCatMsgs = $this->finder('xenarabia\MYMMSMSG\XF:MmsMsgs')->where('mms_cat_id', $entity->cat_id)->fetch();
			foreach ($getCatMsgs as $msg) {
				$imgPath = \XF::getRootDirectory() . "/data/my_mms/" . $msg->mms_img_name;
				$deleteImage = file_exists($imgPath) ? @unlink($imgPath) : null;
			}
			

			
			$deleteCatMssges = \XF::db()->query("DELETE FROM xa_my_mms WHERE mms_cat_id = ?", $entity->cat_id);
			if ($deleteCatMssges) {
				$entity->delete();
			}

			return $this->redirect($returnUrl);
		} else {
			$viewParams = [
				'content' => $entity,
				'confirmUrl' => $confirmUrl,
				'contentUrl' => $contentUrl,
				'contentTitle' => $contentTitle
			] + $params;
			return $this->view('XF:Delete\Delete', $template ?: 'admin:mms_delete_confirm', $viewParams);
		}
	}
}
